udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
filesystemStats Struct Reference

`#include <udffsck.h>`

Collaboration diagram for filesystemStats:

## Public Attributes
uint16_t | blocksize
uint64_t | actUUID
uint64_t | maxUUID
uint32_t | expNumOfFiles
uint32_t | countNumOfFiles
uint32_t | expNumOfDirs
uint32_t | countNumOfDirs
uint16_t | minUDFReadRev
uint16_t | minUDFWriteRev
uint16_t | maxUDFWriteRev
uint16_t | AVDPSerialNum
uint64_t | usedSpace
uint32_t | freeSpaceBlocks
uint32_t | partitionSizeBlocks
uint32_t | expUsedBlocks
uint32_t | expUnusedBlocks
uint32_t | partitionNumOfBytes
uint32_t | partitionNumOfBits
uint8_t * | actPartitionBitmap
uint8_t * | expPartitionBitmap
timestamp | LVIDtimestamp
dstring * | partitionIdent
dstring * | volumeSetIdent

## Detailed Description

Definition at line 71 of file udffsck.h.

## Member Data Documentation

uint8_t* filesystemStats::actPartitionBitmap

Definition at line 90 of file udffsck.h.

uint64_t filesystemStats::actUUID

Definition at line 73 of file udffsck.h.

uint16_t filesystemStats::AVDPSerialNum

Definition at line 82 of file udffsck.h.

uint16_t filesystemStats::blocksize

Definition at line 72 of file udffsck.h.

uint32_t filesystemStats::countNumOfDirs

Definition at line 78 of file udffsck.h.

uint32_t filesystemStats::countNumOfFiles

Definition at line 76 of file udffsck.h.

uint32_t filesystemStats::expNumOfDirs

Definition at line 77 of file udffsck.h.

uint32_t filesystemStats::expNumOfFiles

Definition at line 75 of file udffsck.h.

uint8_t* filesystemStats::expPartitionBitmap

Definition at line 91 of file udffsck.h.

uint32_t filesystemStats::expUnusedBlocks

Definition at line 87 of file udffsck.h.

uint32_t filesystemStats::expUsedBlocks

Definition at line 86 of file udffsck.h.

uint32_t filesystemStats::freeSpaceBlocks

Definition at line 84 of file udffsck.h.

timestamp filesystemStats::LVIDtimestamp

Definition at line 92 of file udffsck.h.

uint16_t filesystemStats::maxUDFWriteRev

Definition at line 81 of file udffsck.h.

uint64_t filesystemStats::maxUUID

Definition at line 74 of file udffsck.h.

uint16_t filesystemStats::minUDFReadRev

Definition at line 79 of file udffsck.h.

uint16_t filesystemStats::minUDFWriteRev

Definition at line 80 of file udffsck.h.

dstring* filesystemStats::partitionIdent

Definition at line 93 of file udffsck.h.

uint32_t filesystemStats::partitionNumOfBits

Definition at line 89 of file udffsck.h.

uint32_t filesystemStats::partitionNumOfBytes

Definition at line 88 of file udffsck.h.

uint32_t filesystemStats::partitionSizeBlocks

Definition at line 85 of file udffsck.h.

uint64_t filesystemStats::usedSpace

Definition at line 83 of file udffsck.h.

dstring* filesystemStats::volumeSetIdent

Definition at line 94 of file udffsck.h.

The documentation for this struct was generated from the following file:

- udffsck/udffsck.h